itzFlubby
Posts: 4
Joined: Sat Dec 23, 2017 2:12 pm

[SOLVED] Failed to execute child process "xterm" after upgrade

Sun Dec 02, 2018 10:31 am

So a few days ago I upgraded my Pi 3B+ via sudo apt-get update and sudo apt-get upgrade.
Everything worked fine without any problems. But I realized that I can no longer execute SH-Files by clicking on them.
It's only possible by directly calling the script in the command line.
Strangely enough, when calling /bin/bash the same error appears (also with other system files, which I tried to call).
Then I tried to install xterm with sudo apt-get install xterm, which worked perfectly. But after opening the SH-File, the terminal was super strange looking, with weird font, font-size, ...
Does anybody encounter this as well?
Last edited by itzFlubby on Sat Dec 22, 2018 8:31 pm, edited 1 time in total.

User avatar
topguy
Posts: 7287
Joined: Tue Oct 09, 2012 11:46 am
Location: Trondheim, Norway

Re: Failed to execute child process "xterm" after upgrade

Mon Dec 03, 2018 1:07 pm

Most likely the "xterm" has just been an alias before for another terminal before. ( lxterminal maybe )
So when that alias we removed you got the error, and when you installed xterm you get a new look.

But I dont know exactly where this alias would have been enabled so I dont have a fix for you.

itzFlubby
Posts: 4
Joined: Sat Dec 23, 2017 2:12 pm

Re: Failed to execute child process "xterm" after upgrade

Sat Dec 22, 2018 8:29 pm

The problem was very easy to fix after all.
It's too simple to be true basically.
I just copied lxterminal from /usr/bin/ and renamed it to xterm.
And there you go. Problem solved.

Return to “Troubleshooting”